//----------------------------------------------------------------------------//
//  FiveWin 1.0 - Ejemplos
//  (c) A.Linares, F.Pulpn 1993
//
//  Construir con BUILD TestDDE
//----------------------------------------------------------------------------//

// Ejemplo de utilizacin de enlaces DDE
// Para FiveWin los DDE tambien son  Objetos !

#include "FiveWin.ch"

static oWnd, oDde

//----------------------------------------------------------------------------//

function Main()

   DEFINE WINDOW oWnd FROM 1, 1 TO 20, 70 ;
      TITLE OemToAnsi( "Intercambio dinmico de Datos con FiveWin" );
      MENU BuildMenu()

   SET MESSAGE OF oWnd ;
      TO OemToAnsi( "FiveWin 1.0 - (C) A.Linares, F. Pulpn 1993" )

   ACTIVATE WINDOW oWnd

return

//----------------------------------------------------------------------------//

function BuildMenu()

   local oMenu

   MENU oMenu
      MENUITEM "&Dynamic Data Exchange"
      MENU
         MENUITEM "Establecer un enlace DDE"  ACTION StartDDE() ;
            MESSAGE "Vamos a crear un enlace con el Administrador de Programas de Windows"

         MENUITEM "Probar el enlace..."       ACTION TestDDE() ;
            MESSAGE "Vamos a decirle que construya un nuevo grupo"

         SEPARATOR

         MENUITEM "Nos vamos..."              ACTION oWnd:End() ;
            MESSAGE OemToAnsi( "Fn de la demostracin" )
      ENDMENU
   ENDMENU

return oMenu

//----------------------------------------------------------------------------//

function StartDDE()

   if oDde == nil
      DEFINE DDE oDde SERVICE "Progman" TOPIC "Progman"
      ACTIVATE DDE oDde
      MsgInfo( "Enlace establecido" )
   else
      MsgInfo( "El enlace ya estaba creado..." )
   endif

return

//----------------------------------------------------------------------------//

function TestDDE()

   local cGroup := "FiveWin 1.0 - DDE Pruebas"

   MsgInfo( "Vamos a crear un nuevo Grupo" + Chr( 13 ) + ;
            "en el Administrador de Programas de Windows" )

   MsgInfo( "Esto nos viene estupendo para crearnos, por ejemplo," + ;
            "un instalador de programas" )

   oDde:Execute( "[CreateGroup(" + cGroup + ")]" )

   oDde:Execute( "[AddItem(" + cGroup + ", Test1 )]" )
   oDde:Execute( "[AddItem(" + cGroup + ", Test2 )]" )
   oDde:Execute( "[AddItem(" + cGroup + ", Test3 )]" )
   oDde:Execute( "[AddItem(" + cGroup + ", Test4 )]" )
   oDde:Execute( "[AddItem(" + cGroup + ", Test5 )]" )

   oDde:Execute( "[ShowGroup(" + cGroup + ")]" )

   MsgInfo( "Echa un vistazo ahora al Administrador de Programas de Windows" )
   MsgInfo( "Tiene que existir un nuevo grupo..." )

return

//----------------------------------------------------------------------------//
